Short Proposal:

Description
Context: how to use IEC 61850 for DER and microgrids (IEC 61850-90-23 CD1).

IEC 61850-7-4 prescribes that schedules may only be updated whilst they are offline. This is a conservative approach that allows for
validation of all the settings to ensure consistency before re-starting i.e. evaluating the schedule output.

There are two approaches:

1. Stop the running schedule; change it, restart

2. Write to another schedule with a higher priority and start that; stop the original schedule; change it, restart it; stop the second
schedule.

This approach is unnecessarily complex for some cases. A common use case is to update a schedule for one or more periods in the
future. In these cases, updating individual schedule values will not affect the current schedule output, so there is no need to require
the schedule to be deactivated and reactivated.

See also #3098

Related issues:
Copied from IEC 61850 User Feedback Task Force - Improvement #5323: Schedules... Resolved 03/02/2022 09/02/2022

History

#1 - 09/13/2022 08:11 AM - Vladan Cvejic

- Copied from Improvement #5323: Schedules - allow updates to single values while schedules are running added

#2 - 09/13/2022 08:19 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from Yes to No

#3 - 09/30/2022 02:10 AM - Tom Berry
Discussed in WG10 Meeting September 2022

The key issue is to clarify the consistency checks made when updating a FSCH.
The FSCH state machine is used to ensure that a schedule is consistent before it is enabled, but part 7-4 Annex K does not provide details of the
checks that must / should be performed.

Tom Berry to write a proposal to describe expected checks for each data object.
For example, changing the number of points needs a full consistency check, changing a single ASG value does not.

#4 - 06/21/2023 01:48 AM - Vladan Cvejic

- Tracker changed from WG10FutureWork to WG10 Future Work
- Source deleted (WG17)

- TF Unique ID deleted (3 # WG17)

- Discuss in Upcoming Meeting deleted (No)

04/18/2024 1/2



https://redmine.ucaiug.org/issues/3098

- Proposal descriptions updated

- Standard(s) deleted (IEC 61850-7-4,7-5)

#5 - 06/21/2023 02:10 AM - Vladan Cvejic
- Discuss in Upcoming Meeting set to No

- Needs More Information set to No

#6 - 10/26/2023 02:37 AM - Vladan Cvejic

- Target edition set to Not assigned

#7 - 02/08/2024 04:21 AM - Vladan Cvejic
- Target edition changed from Not assigned to Next

- Assigned TF 61850-7-4 added

#8 - 02/08/2024 05:31 AM - Vladan Cvejic
- Standard(s) set to IEC 61850-7-4
